Subject: Re: linux-next: Tree for November 2 (usb/whci)

From: Randy Dunlap <[email-masked]>
Date: Tue, 17 Nov 2009 07:51:01 -0800

On Tue, 17 Nov 2009 11:40:43 +0000 David Vrabel wrote:

> Greg KH wrote:
> > On Wed, Nov 11, 2009 at 09:04:03AM -0800, Randy Dunlap wrote:
> >> On Mon, 2 Nov 2009 09:13:39 -0800 Randy Dunlap wrote:
> >>
> >>> On Mon, 2 Nov 2009 17:38:45 +1100 Stephen Rothwell wrote:
> >>>
> >>>> Hi all,
> >>>>
> >>>> Changes since 20091030: <<<<<<<<<<<<<<<<<<<<<<<<<<
> >>>
> >>> whci build fails on i386 due to 64-bit multiply & divide:
> >>>
> >>> ERROR: "__udivdi3" [drivers/usb/host/whci/whci-hcd.ko] undefined!
> >>> ERROR: "__umoddi3" [drivers/usb/host/whci/whci-hcd.ko] undefined!
> >>
> >> Still present in linux-next-20091111.
> > 
> > David, can you please look into this and resolve it?
> 
> Yes,  I've been on holiday and haven't had a change to look into it yet.
> 
> I can't immediately think of any 64 bit maths and I don't understand why
>  I haven't seen it.  I always build for i386.

When the driver is built-in (not a loadable module), the messages are:

drivers/built-in.o: In function `qset_add_urb':
(.text+0x4595f8): undefined reference to `__umoddi3'
drivers/built-in.o: In function `qset_add_urb':
(.text+0x45969a): undefined reference to `__udivdi3'

Those could still refer to other (inline) functions...

---
~Randy